Subject: [Rmt] Comment on Reed-Solomon I-D

From: Brian Adamson <[email-masked]>
Date: Wed, 2 Nov 2005 10:19:03 -0500

Hi Vincent and team,

I noted that you only explicitly describe a Reed Solomon type that is 
not strictly MDS for the various, perfectly valid performance reasons 
cited.

For NORM purposes, I think it would also be useful for the draft to 
include a description a strict MDS systematic Reed Solomon algorithm. 
(Strict MDS makes it easier or more possible for NORM to implement an 
optimal repair strategy).

My NORM implementation has an unencumbered RS code of this type and I 
would be happy to help document it as an additional fully-specified 
Reed Solomon FEC scheme to be included in your document if you think 
that is appropriate?

best regards,

Brian Adamson

At 1:03 PM +0200 10/21/05, Vincent Roca wrote:
>Hello everybody,
>
>An Internet-draft describing a fully specified Reed-Solomon FEC scheme
>is now available:
>
>http://www.ietf.org/internet-drafts/draft-lacan-rmt-fec-bb-rs-00.txt
>
>
>Abstract
>
>    This document describes a Fully-Specified FEC scheme for the Reed-
>    Solomon forward error correction code and its application to reliable
>    delivery of data objects on the packet erasure channel.
>
>    The Reed-Solomon codes belong to the class of Maximum Distance
>    Separable (MDS) codes, i.e, they enable a receiver to recover the k
>    source symbols from any set of k received symbols.
>
>    The implementation described here is compatible with the IPR-free
>    implementation described in [5].
>
>
>    Jerome / Vincent / Sami / Jani
>
>_______________________________________________
>Rmt mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/rmt

-- 
Brian
__________________________________
Brian Adamson
<mailto:[email-masked]>

_______________________________________________
Rmt mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rmt